/**
 * <p>Класс для тестирования программы</p>
 * */
public class StaticInnerClassTest {
    public static void main(String[] args) {
        /*Создаем массив из 5 значений*/
        double[] values = new double[5];
        for (int i = 0; i < values.length; i++) {
            values[i] = Math.random() * 100;
        }

        /*Выводим содержимое массива на экран*/
        for (double v : values) {
            System.out.print(v + " ");
        }
        System.out.println("");

        /*Ищем минимальный и максимальный элементы в массиве*/
        ArrayAlg.Pair p = ArrayAlg.minmax(values);

        /*Выводим найденные значения на экран*/
        System.out.println("min = " + p.getFirst());
        System.out.println("max = " + p.getSecond());
    }
}

/**
 * <p>Класс для поиска минимального и максимального элемента в массиве</p>
 * */
class ArrayAlg {
    /**
     * <p>Внутренний статический класс Pair.</p>
     * */
    public static class Pair {
        private double first;
        private double second;

        public Pair(double first, double second) {
            this.first = first;
            this.second = second;
        }

        public double getFirst() {
            return first;
        }

        public double getSecond() {
            return second;
        }
    }

    /**
     * <p>Функция для поиска минимального и максимального элемента в массиве</p>
     * */
    public static Pair minmax(double[] values) {
        double min = Double.MAX_VALUE;
        double max = Double.MIN_VALUE;

        for (double v : values) {
            if (min > v) {
                min = v;
            }
            if (max < v) {
                max = v;
            }
        }
        return new Pair(min, max);
    }
}
